/* tslint:disable:max-line-length */
import { FuseNavigationItem } from '@fuse/components/navigation';

export const defaultNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    subtitle: 'Unique dashboard designs',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'dashboards.user',
        title: 'User',
        type: 'basic',
        icon: 'heroicons_outline:clipboard-check',
        link: '/dashboards/user',
      },
      {
        id: 'dashboards.partner',
        title: 'Partner',
        type: 'basic',
        icon: 'heroicons_outline:chart-pie',
        link: '/dashboards/partner',
      },
      {
        id: 'dashboards.finance',
        title: 'Finance',
        type: 'basic',
        icon: 'heroicons_outline:cash',
        link: '/dashboards/finance',
      },
    ],
  },
  {
    id: 'member',
    title: 'Member',
    subtitle: 'member managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'member.user',
        title: 'User',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/user',
      },
      {
        id: 'member.user_view',
        title: 'User-view',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/member/user/view',
      },
    ],
  },
  {
    id: 'bank',
    title: 'Bank',
    subtitle: 'bank managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [
      {
        id: 'bank.deposit',
        title: 'Deposit',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/deposit',
      },
      {
        id: 'bank.withdraw',
        title: 'Withdraw',
        type: 'basic',
        icon: 'heroicons_outline:academic-cap',
        link: '/bank/withdraw',
      },
    ],
  },
];
export const compactNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    tooltip: 'Dashboards',
    type: 'aside',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    tooltip: 'Member',
    type: 'aside',
    icon: 'heroicons_outline:qrcode',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    subtitle: 'bank managements',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
export const futuristicNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'DASHBOARDS',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    type: 'group',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
export const horizontalNavigation: FuseNavigationItem[] = [
  {
    id: 'dashboards',
    title: 'Dashboards',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'member',
    title: 'Member',
    type: 'group',
    icon: 'heroicons_outline:qrcode',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
  {
    id: 'bank',
    title: 'Bank',
    type: 'group',
    icon: 'heroicons_outline:home',
    children: [], // This will be filled from defaultNavigation so we don't have to manage multiple sets of the same navigation
  },
];
